org.gjt.sp.jedit.gui.tray

## Class JTrayIcon

- java.lang.Object
- - java.awt.TrayIcon
  - - org.gjt.sp.jedit.gui.tray.JTrayIcon

- Direct Known Subclasses:
    JEditTrayIcon

      public class JTrayIcon
      extends java.awt.TrayIcon

  A TrayIcon that accepts Swing JPopupMenu.
  Since:
    jEdit 4.5pre1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.TrayIcon

      `java.awt.TrayIcon.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JTrayIcon(java.awt.Image image, java.lang.String tooltip)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JPopupMenu` | `getMenu()`
    `void` | `setMenu(javax.swing.JPopupMenu menu)`

    - ### Methods inherited from class java.awt.TrayIcon

      `addActionListener, addMouseListener, addMouseMotionListener, displayMessage, getActionCommand, getActionListeners, getImage, getMouseListeners, getMouseMotionListeners, getPopupMenu, getSize, getToolTip, isImageAutoSize, removeActionListener, removeMouseListener, removeMouseMotionListener, setActionCommand, setImage, setImageAutoSize, setPopupMenu, setToolTip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JTrayIcon

          public JTrayIcon(java.awt.Image image,
                           java.lang.String tooltip)

  - ### Method Detail

    - #### getMenu

          public javax.swing.JPopupMenu getMenu()

    - #### setMenu

          public void setMenu(javax.swing.JPopupMenu menu)